## mx4j.tools.remote.http
Class HTTPConnector

    java.lang.Object
      mx4j.tools.remote.AbstractJMXConnector
          mx4j.tools.remote.http.HTTPConnector

All Implemented Interfaces:
  javax.management.remote.JMXConnector, java.io.Serializable

Direct Known Subclasses:
  SOAPConnector

public class HTTPConnector
extends AbstractJMXConnector

Version:
  $
See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.management.remote.JMXConnector
`CREDENTIALS`

Constructor Summary
`HTTPConnector(javax.management.remote.JMXServiceURL address, java.util.Map environment)`

Method Summary
`protected HeartBeat` `createHeartBeat(HTTPConnection connection, ConnectionNotificationEmitter emitter, java.util.Map environment)`
`protected RemoteNotificationClientHandler` `createRemoteNotificationClientHandler(HTTPConnection connection, ConnectionNotificationEmitter emitter, HeartBeat heartbeat, java.util.Map environment)`
`protected void` `doClose()` Template method to be implemented by subclasses to close this JMXConnector
`protected void` `doConnect(java.util.Map environment)`
`protected javax.management.MBeanServerConnection` `doGetMBeanServerConnection(javax.security.auth.Subject delegate)` Template method to be implemented by subclasses to return an MBeanServerConnection for the given delegate subject.
`java.lang.String` `getConnectionId()`
`protected HTTPConnection` `getHTTPConnection()`
`protected RemoteNotificationClientHandler` `getRemoteNotificationClientHandler()`

Methods inherited from class mx4j.tools.remote.AbstractJMXConnector
`addConnectionNotificationListener, close, connect, connect, createConnectionNotificationEmitter, getAddress, getConnectionNotificationEmitter, getMBeanServerConnection, getMBeanServerConnection, isClosed, isConnected, removeConnectionNotificationListener, removeConnectionNotificationListener, sendConnectionNotificationClosed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPConnector

    public HTTPConnector(javax.management.remote.JMXServiceURL address,
                         java.util.Map environment)
                  throws java.io.IOException

Method Detail

### doConnect

    protected void doConnect(java.util.Map environment)
                      throws java.io.IOException,
                             java.lang.SecurityException

  Specified by:
    `doConnect` in class `AbstractJMXConnector`
  Throws:
    `java.io.IOException`
    `java.lang.SecurityException`

### createHeartBeat

    protected HeartBeat createHeartBeat(HTTPConnection connection,
                                        ConnectionNotificationEmitter emitter,
                                        java.util.Map environment)

### createRemoteNotificationClientHandler

    protected RemoteNotificationClientHandler createRemoteNotificationClientHandler(HTTPConnection connection,
                                                                                    ConnectionNotificationEmitter emitter,
                                                                                    HeartBeat heartbeat,
                                                                                    java.util.Map environment)

### doGetMBeanServerConnection

    protected javax.management.MBeanServerConnection doGetMBeanServerConnection(javax.security.auth.Subject delegate)
                                                                         throws java.io.IOException

  Description copied from class: `AbstractJMXConnector`
  Template method to be implemented by subclasses to return an MBeanServerConnection for the given delegate subject. This method should return an MBeanServerConnection that delegates method calls to a `JMXConnection` (or an equivalent client side connection object). The JMXConnection object to which calls are delegated can in turn be a chain of objects that decorate the call performing some other operation; the final object in the chain is the one that really communicates with the server side, and it is normally called <protocol>ClientInvoker.

  Specified by:
    `doGetMBeanServerConnection` in class `AbstractJMXConnector`
  Throws:
    `java.io.IOException`

### doClose

    protected void doClose()
                    throws java.io.IOException

  Description copied from class: `AbstractJMXConnector`
  Template method to be implemented by subclasses to close this JMXConnector

  Specified by:
    `doClose` in class `AbstractJMXConnector`
  Throws:
    `java.io.IOException`

### getConnectionId

    public java.lang.String getConnectionId()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getHTTPConnection

    protected HTTPConnection getHTTPConnection()

### getRemoteNotificationClientHandler

    protected RemoteNotificationClientHandler getRemoteNotificationClientHandler()

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.